[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTabControl.WSRegisterClass

Registers the class type with the widgetset.

## Declaration

Source position: comctrls.pp line 832

`protected class procedure TTabControl.WSRegisterClass; override;`

## Description

WSRegisterClass is an overridden class procedure used to register the widgetset class used to create new instances of the class. WSRegisterClass calls the inherited method, and calls RegisterPropertyToSkip to omit the OnDrawTab property when the component is loaded at run-time. OnDrawTab was used in an older version of the LCL.